<?php

require_once 'config.php';
require_once 'auth.php';
require_once 'xml.php';

$auth_token = auth($email, $passwd, 'lh2', $source);

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "http://picasaweb.google.com/data/feed/api/user/default");
curl_setopt($ch, CURLOPT_POST, false);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_BINARYTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, array("GData-Version: 2","Authorization: GoogleLogin auth=$auth_token"));
						
$response = curl_exec($ch);
curl_close($ch);
$data =  xml2array($response,1,'attribute');
foreach ($data['feed']['entry'] as $entry) {

	if (preg_match("/albumid\/(\d+)$/", $entry['id']['value'], $match)) {
		$id = $match[1];
	}
	$title = $entry['title']['value'];
	foreach ($entry['link'] as $link) {
		$rel = $link['attr']['rel'];
		if ($rel == 'alternate') {
			$url = $link['attr']['href'];
			break;
		}
	}
	print "$id $url $title\n";
}

?>
